export function checkBoundary(boundary: any): {
    x: number;
    y: number;
    z: number;
};
export function checkRotation(rotation: any): {
    x: number;
    y: number;
    z: number;
};
export function checkWebWorker(options: any): any;
export function checkRequired(options: any): void;
export function validateOptions(options: any): void;
export function extractToolOptions(tools: any): {};
export const ModelViewsMissingRequirementsError: "The MODELVIEWS tool requires `bimFileId` and `modelRevisionId` to retrieve the model viewpoints but these keys is absent from options object.";
export const ObjectTreeMissingRequirementsError: "Context Menu Tool is required for Object Tree Tool. Expected: { tools: [ProcoreBim.Webviewer.tools.CONTEXTMENU, ProcoreBim.Webviewer.tools.OBJECTMODELTREE] }";
